--- Makefile.orig	2000-06-22 17:26:11.000000000 -0500
+++ Makefile	2021-02-14 04:43:13.000000000 -0600
@@ -20,15 +20,15 @@
 
 
 PREFIX = 
-BINDIR = $(PREFIX)/usr/sbin
-MANDIR = $(PREFIX)/usr/man
-CFLAGS = -Wall -pedantic -O2
+BINDIR = $(PREFIX)/sbin
+MANDIR = $(PREFIX)/share/man
+CFLAGS := -Wall -pedantic -O2 $(CFLAGS)
 #CFLAGS = -Wall -O2 -g -DDEBUG
 
 # If you change these, please update the man-pages too
 # Only absolute paths here, please
-SPOOLDIR = /var/spool/anacron
-ANACRONTAB = /etc/anacrontab
+SPOOLDIR = $(PREFIX)/var/spool/anacron
+ANACRONTAB = $(PREFIX)/etc/anacrontab
 
 RELEASE = 2.3
 package_name = anacron-$(RELEASE)
@@ -36,11 +36,11 @@
 
 SHELL = /bin/sh
 INSTALL = install
-INSTALL_PROGRAM = $(INSTALL)
-INSTALL_DATA = $(INSTALL)
-INSTALL_DIR = $(INSTALL) -d
+INSTALL_PROGRAM = $(INSTALL) -m 0755
+INSTALL_DATA = $(INSTALL) -m 0644
+INSTALL_DIR = $(INSTALL) -d -m 0755
 GZIP = gzip -9 -f
-ALL_CPPFLAGS = -DSPOOLDIR=\"$(SPOOLDIR)\" -DRELEASE=\"$(RELEASE)\" \
+ALL_CPPFLAGS = -I. -DSPOOLDIR=\"$(SPOOLDIR)\" -DRELEASE=\"$(RELEASE)\" \
 	-DANACRONTAB=\"$(ANACRONTAB)\" $(CPPFLAGS)
 
 csources := $(wildcard *.c)
@@ -64,7 +64,7 @@
 
 .PHONY: installdirs
 installdirs:
-	$(INSTALL_DIR) $(BINDIR) $(PREFIX)$(SPOOLDIR) \
+	$(INSTALL_DIR) $(BINDIR) $(SPOOLDIR) \
 		$(MANDIR)/man5 $(MANDIR)/man8
 
 .PHONY: install
